import {ApplicationCommandOptionType, ApplicationCommandSubCommandData, ChatInputCommandInteraction} from "discord.js"
import {SubcommandData} from "../types.js"

class CharacterCreateCommandData extends SubcommandData {
    readonly definition: ApplicationCommandSubCommandData = {
        name: "create",
        type: ApplicationCommandOptionType.Subcommand,
        description: "Creates a new character. Activates them on the current server.",
        options: [
            {
                name: "template",
                type: ApplicationCommandOptionType.String,
                description: "Optionally, an existing character of yours to use as a template.",
                autocomplete: true,
                required: false,
            },
        ],
    }

    async execute(b: ChatInputCommandInteraction) {
        await b.reply("Okaaaay, I'll make you a character ❤\n\nRight after this nap...")
    }
}

export const commandCharacterCreate = new CharacterCreateCommandData()